apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: 'True'
  creationTimestamp: '2025-12-15T20:05:06Z'
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:useCompatibilityMode': {}
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
          'f:map':
            .: {}
            'f:network': {}
            'f:storage': {}
          'f:vms': {}
          .: {}
          'f:type': {}
          'f:runPreflightInspection': {}
          'f:targetPowerState': {}
          'f:targetNamespace': {}
          'f:warm': {}
          'f:pvcNameTemplateUseGenerateName': {}
          'f:migrateSharedDisks': {}
          'f:skipGuestConversion': {}
          'f:preserveStaticIPs': {}
      manager: Mozilla
      operation: Update
      time: '2025-12-15T20:05:06Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:migration':
            .: {}
            'f:completed': {}
            'f:history': {}
            'f:started': {}
            'f:vms': {}
          'f:observedGeneration': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2025-12-15T20:13:49Z'
  name: linux-migration-test
  namespace: openshift-mtv
  resourceVersion: '14151599'
  uid: 0a496054-49e2-4e75-a210-d8d7e0387a88
spec:
  pvcNameTemplateUseGenerateName: true
  warm: false
  migrateSharedDisks: false
  targetNamespace: iad1-test-project-1
  useCompatibilityMode: true
  skipGuestConversion: false
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: openshift-mtv
      uid: ab75db16-2ddc-4bed-b655-b44265becdad
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: iad1-res-vcenter
      namespace: openshift-mtv
      uid: aa65ff5a-0095-4f6b-8655-dd3268f8be97
  preserveStaticIPs: true
  type: cold
  vms:
    - id: vm-310669
      name: infra-testmtv-02
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: linux-migration-tstnetwork
      namespace: openshift-mtv
      uid: e5722cc1-c13a-49d6-b655-8583b02322b4
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: linux-migration-tststorage
      namespace: openshift-mtv
      uid: 0706cd6e-351f-41ce-afa5-07e89cc98fed
  runPreflightInspection: true
  targetPowerState: 'on'
status:
  conditions:
    - category: Advisory
      durable: true
      lastTransitionTime: '2025-12-15T20:13:42Z'
      message: The plan execution has SUCCEEDED.
      status: 'True'
      type: Succeeded
    - category: Warn
      items:
        - ' id:vm-310669 name:''infra-testmtv-02'' '
      lastTransitionTime: '2025-12-15T20:13:48Z'
      message: 'Guest information on vNICs is missing, cannot preserve static IPs. If this machine has static IP, make sure VMware tools are installed and the VM is running.'
      reason: MissingGuestInformation
      status: 'True'
      type: VMMissingGuestIPs
    - category: Critical
      items:
        - ' id:vm-310669 name:''infra-testmtv-02'' '
      lastTransitionTime: '2025-12-15T20:13:48Z'
      message: 'VM  id:vm-310669 name:''infra-testmtv-02''  has MAC address conflicts: MACs 00:50:56:a1:ec:f3, 00:50:56:a1:21:f2 conflict with destination VM iad1-test-project-1/infra-testmtv-02'
      reason: NotValid
      status: 'True'
      type: MacConflicts
  migration:
    completed: '2025-12-15T20:13:42Z'
    history:
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-12-15T20:13:42Z'
            message: The plan execution has SUCCEEDED.
            status: 'True'
            type: Succeeded
        map:
          network:
            generation: 1
            name: linux-migration-tstnetwork
            namespace: openshift-mtv
            uid: e5722cc1-c13a-49d6-b655-8583b02322b4
          storage:
            generation: 1
            name: linux-migration-tststorage
            namespace: openshift-mtv
            uid: 0706cd6e-351f-41ce-afa5-07e89cc98fed
        migration:
          generation: 1
          name: linux-migration-test-97kh7
          namespace: openshift-mtv
          uid: cca723a4-b08f-405e-9c1e-b565b073a04d
        plan:
          generation: 1
          name: linux-migration-test
          namespace: openshift-mtv
          uid: 0a496054-49e2-4e75-a210-d8d7e0387a88
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: ab75db16-2ddc-4bed-b655-b44265becdad
          source:
            generation: 1
            name: iad1-res-vcenter
            namespace: openshift-mtv
            uid: aa65ff5a-0095-4f6b-8655-dd3268f8be97
    started: '2025-12-15T20:05:46Z'
    vms:
      - started: '2025-12-15T20:05:47Z'
        pipeline:
          - completed: '2025-12-15T20:06:18Z'
            description: Initialize migration.
            name: Initialize
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2025-12-15T20:05:47Z'
          - annotations:
              unit: MB
            completed: '2025-12-15T20:08:07Z'
            description: Transfer disks.
            name: DiskTransfer
            phase: Completed
            progress:
              completed: 194560
              total: 194560
            started: '2025-12-15T20:06:19Z'
            tasks:
              - annotations:
                  unit: MB
                completed: '2025-12-15T20:08:07Z'
                name: '[IAD1R_E01_NTAP_DS04] infra-testmtv-02/infra-testmtv-02.vmdk'
                phase: Completed
                progress:
                  completed: 40960
                  total: 40960
                reason: Transfer completed.
                started: '2025-12-15T20:06:55Z'
              - annotations:
                  unit: MB
                completed: '2025-12-15T20:06:59Z'
                name: '[IAD1R_E01_NTAP_DS04] infra-testmtv-02/infra-testmtv-02_1.vmdk'
                phase: Completed
                progress:
                  completed: 153600
                  total: 153600
                reason: Transfer completed.
                started: '2025-12-15T20:06:46Z'
          - completed: '2025-12-15T20:13:33Z'
            description: Convert image to kubevirt.
            name: ImageConversion
            phase: Completed
            progress:
              completed: 1
              total: 1
            started: '2025-12-15T20:08:10Z'
          - annotations:
              unit: MB
            completed: '2025-12-15T20:13:37Z'
            description: Copy disks.
            name: DiskTransferV2v
            phase: Completed
            progress:
              completed: 194560
              total: 194560
            started: '2025-12-15T20:13:37Z'
            tasks:
              - annotations:
                  unit: MB
                name: '[IAD1R_E01_NTAP_DS04] infra-testmtv-02/infra-testmtv-02.vmdk'
                progress:
                  completed: 0
                  total: 40960
              - annotations:
                  unit: MB
                name: '[IAD1R_E01_NTAP_DS04] infra-testmtv-02/infra-testmtv-02_1.vmdk'
                progress:
                  completed: 0
                  total: 153600
          - completed: '2025-12-15T20:13:41Z'
            description: Create VM.
            name: VirtualMachineCreation
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2025-12-15T20:13:40Z'
        completed: '2025-12-15T20:13:41Z'
        name: infra-testmtv-02
        operatingSystem: otherGuest64
        luks: {}
        conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-12-15T20:13:41Z'
            message: The VM migration has SUCCEEDED.
            status: 'True'
            type: Succeeded
        restorePowerState: 'On'
        id: vm-310669
        phase: Completed
  observedGeneration: 1
